summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-cpp/glibmm/Manifest1
-rw-r--r--dev-cpp/glibmm/glibmm-2.64.2.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-cpp/glibmm/Manifest b/dev-cpp/glibmm/Manifest
index 95fe7555692..ec39c07fe48 100644
--- a/dev-cpp/glibmm/Manifest
+++ b/dev-cpp/glibmm/Manifest
@@ -1,2 +1,3 @@
DIST glibmm-2.60.1.tar.xz 7132072 BLAKE2B 8d25287b7805d7196bffa909447db0e0fa0edd1c243b3ccdef91f1a6573ea0723cda8e88993e878e6c8440b23488b0ab8c9ed727bd4e2d4a46f56ba251510aa0 SHA512 89f1d10bd9b60232519e2e13c02b0b1010dacbe67a8bab06c3a5873649e5090ed3593d518bfd8e12933a08aaa5fc654b1475efc208e2256c7efd197274a28b79
DIST glibmm-2.62.0.tar.xz 7398144 BLAKE2B a289c2e6a5737d9fa3d507e4741c1d19e949244db5a6eaec2329bda92e7e0a78e33acf9668ced19a52507fa88531da63fa35cf59dfb44ad2a7a8fa0839c7dae4 SHA512 f26fca5724c17d915480556b6918ae6e4999c14a25e7623cda3d37a59d6965310fc2b2d8a8500a849f1d0f00fd2d326eeddc690207846d38a13ae695ad0805de
+DIST glibmm-2.64.2.tar.xz 7438116 BLAKE2B 6ff458e90a5dbc606a2e04ecd3589262a1b96e827dba245985467818a7a4ba80a9c4cb15686fe479636cb8ce7e1db3334195d6334d7ec56327076cad87e22170 SHA512 0130af9a16981a54630150db6f4b1a95458d72d650c5e4781ee97ce624ec98c600b79ebf234d212e025781453fd11d78b9e8273235ffa143397423418fe970cc
diff --git a/dev-cpp/glibmm/glibmm-2.64.2.ebuild b/dev-cpp/glibmm/glibmm-2.64.2.ebuild
new file mode 100644
index 00000000000..6889d9dd390
--- /dev/null
+++ b/dev-cpp/glibmm/glibmm-2.64.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org meson multilib-minimal
+
+DESCRIPTION="C++ interface for glib2"
+HOMEPAGE="https://www.gtkmm.org"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libsigc++-2.9.1:2[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.61.2:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+ >=dev-cpp/mm-common-1.0.0
+"
+
+src_prepare() {
+ default
+
+ if ! use test; then
+ sed -i -e "/^subdir('tests')/d" meson.build || die
+ fi
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dmaintainer-mode=true
+ -Dwarnings=min
+ -Dbuild-deprecated-api=true
+ -Dbuild-documentation=$(usex doc true false)
+ -Ddebug-refcounting=$(usex debug true false)
+ -Dbuild-examples=false
+ )
+ meson_src_configure
+}
+
+multilib_src_compile() {
+ meson_src_compile
+}
+
+multilib_src_test() {
+ meson_src_test
+}
+
+multilib_src_install() {
+ meson_src_install
+}